Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.model.change
Class AddDataPropertyInstance

    java.lang.Object
      |
      +--org.semanticweb.owl.model.change.OntologyChange
            |
            +--org.semanticweb.owl.model.change.AddDataPropertyInstance

public class AddDataPropertyInstance
extends OntologyChange

Add a superclass assertion to a class.

Version:
  $Id: AddDataPropertyInstance.java,v 1.1.1.1 2003/10/14 17:10:09 sean_bechhofer Exp $

Field Summary

Fields inherited from class org.semanticweb.owl.model.change.OntologyChange
`cause, ontology`

Constructor Summary
`AddDataPropertyInstance(OWLOntology ontology, OWLIndividual subject, OWLDataProperty property, OWLDataValue object, OntologyChange cause)`

Method Summary
`void` | `accept(ChangeVisitor visitor)` Accept a visit from a change visitor.
`OWLDataValue` | `getObject()`
`OWLDataProperty` | `getProperty()`
`OWLIndividual` | `getSubject()`

Methods inherited from class org.semanticweb.owl.model.change.OntologyChange
`getCause, getOntology, setCause, setOntology`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddDataPropertyInstance

    public AddDataPropertyInstance(OWLOntology ontology,
                                   OWLIndividual subject,
                                   OWLDataProperty property,
                                   OWLDataValue object,
                                   OntologyChange cause)

Method Detail

### getSubject

    public OWLIndividual getSubject()

### getObject

    public OWLDataValue getObject()

### getProperty

    public OWLDataProperty getProperty()

### accept

    public void accept(ChangeVisitor visitor)
                throws OWLException

  Description copied from class: `OntologyChange`
  Accept a visit from a change visitor.

  Specified by:
    `accept` in class `OntologyChange`
  Parameters:
    `visitor` - a `ChangeVisitor` value
    `OWLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb